For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The BankInfo object
          • GET/bank-info
          • GET/bank-info/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsBank info

/bank-info/{id}

GET
/hris/v1/bank-info/:id
GET
/api/hris/v1/bank-info/:id
$curl -G https://api.merge.dev/api/hris/v1/bank-info/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=employee \
> -d remote_fields=account_type \
> -d show_enum_origins=account_type
200Retrieved
1{
2 "id": "fd1e0fb5-8f92-4ec9-9f32-179cf732867d",
3 "remote_id": "123234",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "employee": "a3617eb4-dfe3-426f-921e-a65fc1661e10",
7 "account_number": "439291590",
8 "routing_number": "089690059",
9 "bank_name": "Chase",
10 "account_type": "CHECKING",
11 "remote_created_at": "2021-12-06T10:11:26Z",
12 "remote_was_deleted": true,
13 "field_mappings": {
14 "organization_defined_targets": {
15 "custom_key": "custom_value"
16 },
17 "linked_account_defined_targets": {
18 "custom_key": "custom_value"
19 }
20 },
21 "remote_data": [
22 {
23 "path": "/bank-info",
24 "data": null
25 }
26 ]
27}

Returns a BankInfo object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/bank-info

Next

The Benefit object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
employeestring or nullformat: "uuid"
The employee with this bank account.
account_numberstring or null<=100 characters
The account number.
routing_numberstring or null
The routing number.
bank_namestring or null
The bank name.
account_typeenum or null

The bank account type

  • SAVINGS - SAVINGS
  • CHECKING - CHECKING
Allowed values:
remote_created_atdatetime or null
When the matching bank object was created in the third party system.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more